/*! Flickity v2.3.0
https://flickity.metafizzy.co
---------------------------------------------- */

.flickity-enabled {
    position: relative;
}

.flickity-button:focus,
.flickity-enabled:focus {
    outline: 0;
}

.flickity-viewport {
    overflow: hidden;
    position: relative;
    height: 100%;
}

.flickity-slider {
    position: absolute;
    width: 100%;
    height: 100%;
}

.flickity-enabled.is-draggable {
    -webkit-tap-highlight-color: transparent;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.flickity-enabled.is-draggable .flickity-viewport {
    cursor: move;
    cursor: -webkit-grab;
    cursor: grab;
}

.flickity-enabled.is-draggable .flickity-viewport.is-pointer-down {
    cursor: -webkit-grabbing;
    cursor: grabbing;
}

.flickity-button {
    position: absolute;
    border: none;
    color: hsla(100, 0%, 0%, 0.75);
    background: 0 0;
}

.flickity-button:active {
    opacity: 0.6;
}

.flickity-button:disabled {
    opacity: 0.3;
    cursor: auto;
    pointer-events: none;
}

.flickity-button-icon {
    fill: transparent;
}

.flickity-prev-next-button {
    top: 50%;
    width: 50vw;
    height: 100vh;
    transform: translateY(-50%);
}

.flickity-prev-next-button.previous {
    left: 10px;
}

.flickity-prev-next-button.next {
    right: 10px;
}

.flickity-rtl .flickity-prev-next-button.previous {
    left: auto;
    right: 10px;
}

.flickity-rtl .flickity-prev-next-button.next {
    right: auto;
    left: 10px;
}

.flickity-prev-next-button.next:hover {
    cursor: url("/assets/next.png") 16 16, e-resize;
}

.flickity-prev-next-button.previous:hover {
    cursor: url("/assets/prev.png") 16 16, w-resize;
}



.flickity-prev-next-button .flickity-button-icon {
    position: absolute;
    left: 20%;
    top: 20%;
    width: 60%;
    height: 60%;
}

.flickity-page-dots {
    position: absolute;
    width: 100%;
    bottom: -25px;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
    line-height: 1;
}

.flickity-rtl .flickity-page-dots {
    direction: rtl;
}
.flickity-page-dots .dot {
    display: inline-block;
    width: 5px;
    height: 5px;
    margin: 0 8px;
    background: #333;
    border-radius: 50%;
    opacity: 0.25;
}
.flickity-page-dots .dot.is-selected {
    opacity: 1;
}
.flickity-enabled.is-fade .flickity-slider > * {
    pointer-events: none;
    z-index: 0;
}
.flickity-enabled.is-fade .flickity-slider > .is-selected {
    pointer-events: auto;
    z-index: 1;
}

.flickity-prev-next-button,
.flickity-button,
.flickity-button-icon,
button {
  touch-action: manipulation;
  -webkit-tap-highlight-color: transparent;
  user-select: none;
}

/* RESPONSIVE */

/* MOBILE */
@media (max-width: 780px) {
  .carousel-cell img {
    width: 90vw; /* 90% de la largeur de l'écran */
    height: auto; /* Respecte le ratio naturel */
    max-width: 100%;
    display: block;
    margin: 0 auto;
    margin-bottom: 3rem;
    object-fit: contain; /* Pour être sûr que ça ne déborde pas */
  }
 
  .flickity-prev-next-button {
    top: 0;
    height: 100vh;
    width: 50%;
    margin-top: 3rem;
    background: transparent;
    padding: 0;
    transform: none;
    border: none;
    border-radius: 0;
    z-index: 10;
    overflow: hidden;
    min-height: 48px;
    min-width: 48px;
    font-size: 16px!important; 
    touch-action: manipulation !important;
}

  .flickity-button,
  .flickity-prev-next-button,
  .flickity-prev-next-button .flickity-button-icon {
    font-size: 16px !important;   /* Empêche le zoom sur iOS */
    min-width: 48px;
    min-height: 48px;
    touch-action: manipulation;
    -webkit-touch-callout: none; /* désactive menu long tap */
    -webkit-user-select: none;
    user-select: none;
  }

}